﻿$packageName = 'geforce-game-ready-driver'
$fileType = 'exe'
$silentArgs = '-s -noreboot'
$url   = 'https://us.download.nvidia.com/Windows/388.00/388.00-desktop-win10-32bit-international-whql.exe'
$url64 = 'https://us.download.nvidia.com/Windows/388.00/388.00-desktop-win10-64bit-international-whql.exe'
$checksum   = '732192aa74a7b440f5a2727092199413e5e2c718f874826cad3087ab69d6db7e'
$checksum64 = '051eb6a6777c34ba51408e3c673afdbbbb25ef088522316632101bbe70f7c39e'
$checksumType = 'sha256'

If ( [System.Environment]::OSVersion.Version.Major -ne '10' ) {
	$url   = 'https://us.download.nvidia.com/Windows/388.00/388.00-desktop-win8-win7-32bit-international-whql.exe'
	$url64 = 'https://us.download.nvidia.com/Windows/388.00/388.00-desktop-win8-win7-64bit-international-whql.exe'
	$checksum   = '850ba29dd142505b6704d6b94f0c42e7a0b6bb713002180237610f0d06e2cf87'
	$checksum64 = '1f757ec51766e1ac1e349ecc7ed468d51d80bb1d3f7eadc64ecbe12b6247774f'
}


Install-ChocolateyPackage $packageName $fileType $silentArgs $url $url64 `
-Checksum $checksum -ChecksumType $checksumType -Checksum64 $checksum64 `
-ValidExitCodes @(0,1)

Write-Host "The package 'nvidia-display-driver' is also available for those who don't want or need the extra software bundled with the conventional geforce package."
